//+------------------------------------------------------------------+
//|                                                 Open_on_date.mq4 |
//|                      Copyright  2005, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+

extern double takeprofit = 50;
extern double lots = 0.1;
extern int decalage_horraire=1;   // gmt time set up
extern double stoploss=50;
extern double risque=0.02;


//+----------------------------------------------------------------------------------------------+
//|                                                                                              |
//+----------------------------------------------------------------------------------------------+
int start()
  {
  
//+----------------------------------------------------------------------------------------------+
// calcul automatique de la taille de la position                                                |
//+----------------------------------------------------------------------------------------------+
      bool trading_ok;
      
      lots=(risque*AccountEquity()/(MarketInfo(Symbol(),MODE_TICKVALUE)*stoploss)); //optimum lot size
     
      
      if((AccountFreeMargin()/1000-(risque*AccountEquity()))>0)            // free margin control
      trading_ok=true;
      
//+----------------------------------------------------------------------------------------------+
//|Set up                                                                            |
//+----------------------------------------------------------------------------------------------+   

      
      if((TimeHour(TimeCurrent())-decalage_horraire)==9 && (TimeMinute(TimeCurrent())==50))
          
         {
          double limite_sup=High[iHighest(NULL,PERIOD_M1,MODE_HIGH,60)]; //high and low of previous hour ie 8:50 to 9:50
          double limite_inf=Low[iLowest(NULL,PERIOD_M1,MODE_LOW,60)];
         }
    
      while(((TimeHour(TimeCurrent())-decalage_horraire)>9 && (TimeMinute(TimeCurrent()))>50) &&
          ((TimeHour(TimeCurrent())-decalage_horraire)<10 && (TimeMinute(TimeCurrent()))<50))    // between 9:50 and 10:50
          
         {
         
         if(MarketInfo(Symbol(),MODE_BID)>limite_sup && trading_ok==true)                // if ask > upper limit + 1 pip go long
            int ticket=OrderSend(Symbol(),OP_BUY,lots,Ask,3,stoploss*Point,takeprofit*Point,
            "high break",28113,0,Green);
         
         if(MarketInfo(Symbol(),MODE_ASK)>limite_inf && trading_ok==true)            // if bid< lower limit - 1 pip go short
                ticket=OrderSend(Symbol(),OP_SELL,lots,Bid,3,stoploss*Point,takeprofit*Point,
            "low break",28113,0,Red);
            
         }
      
   return(0);   
  }
  // the end.